.TH ANN_GEN ANN "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ANN_GEN - General utility functions
.SH OBJECTIVE
To provide for some functions wich are usefull for a larger number of
architectures. This is their general man page.
.SH USER INTERFACE: PARAMETERS AND FUNCTIONS
In alphabetical order, not all functions require all parameters:
.TP
x
Matrix containing input patterns, one per column. There shall be a unique
column corespondence with the matrix of targets t and/or y.
.TP
y,z
Matrix containing actual output patterns, one per column. There shall
be a unique column corespondence with the matrix of targets t and/or x.
.TP
t
Matrix containing target patterns, one per column. There shall be a unique
column corespondence with the matrix of targets x and/or y.
.TP
y = ann_log_activ(x)
Logistic activation function. Here y and x have to be column vectors.
.TP
z = ann_d_log_activ(y)
Derivative of logistic activation function, expressed in terms of
actual output (not in terms of total input !).
.TP
E = ann_sum_of_sqr(y,t)
Sum-of-squares error function.
.TP
err_d = ann_d_sum_of_sqr(y,t)
Derivative, with respect to network outputs of sum-of-squares error function.
Here y and t have to be column vectors.
.TP
[x,t] = ann_pat_shuffle(x,t)
Shuffles patterns randomly for better network training, the corespondence
between x and t is preserved
.SH SEE ALSO
.TP
ANN
general overview of ANN toolkit.
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
.SH COPYING
Copyright (C) Ryurick M. Hristev.

The ANN Toolkit is licensed under GNU Public Licence version 2.
