.TH ANN ann_FF_VHess "May 2001" "HRy" "ANN Toolbox"
.so ../sci.an
.SH NAME
ann_FF_VHess - multiplication between a "vector" V and Hessian
.SH CALLING SEQUENCE
VH = ann_BP_VHess(x, t, N, W, V, dW, [af, err_deriv_y])
.SH PARAMETERS
.TP
VH
The result of multiplication - hypermatrix with the same layout as W.
.TP
x
Matrix of input patterns, one pattern per column.
.TP
t
Matrix of target patterns, one pattern per column.
.TP
N
Row vector describing the number of neurons per layer.
N(1) is the size of input pattern vector, N(size(N,'c')) is the size
of output pattern vector (and also target).
.TP
W
The weight hypermatrix.
.TP
V
The "vector" by which Hessian have to be multiplied, actually is a
hypermatrix with same layout as W (is from same space).
.TP
dW
Size of "finite difference".
.TP
af
The activation function to be used.

This parameter is optional, default value "ann_log_activ",
i.e. the logistic activation function.
.TP
err_deriv_y
the name of error function derivative with respect to network outputs.

This parameter is optional, default value is "ann_d_sum_of_sqr",
i.e. the derivative of sum-of-squares.
.SH DESCRIPTION
This function calculates the product between a vector and Hessian
trough a (fast) finite difference procedure.
The error gradient is calculated (trough backpropagation) at W+dW*V
and at W-dW*V and then VH is calculated directly from here (this
require only two backpropagations, explicit computation of Hessian
is avoided).
.SH EXAMPLES
See ann_FF_ConjugGrad function.
.SH SEE ALSO
.TP
ANN
general overview of ANN toolkit.
.TP
ANN_FF
general description of supported feedforward nets and algorithms
.SH AUTHOR
Ryurick M. Hristev <r.hristev@phys.canterbury.ac.nz>
